
PYROS - Evolution #4142
Evolution # 4090 (Nouveau): ******************* PYROS SOFTWARE
Evolution # 4093 (Nouveau): ************** (WP) 09.1 – OBSERVATORY CONTROL

******* (M) 09.1.40 - OBSERVER (EXEC, EYES) - Observation Manager, Imager *******
09/12/2016 05:46 pm - Etienne Pallier

Status: Nouveau Start date: 05/19/2016
Priority: Normal Due date:
Assignee: Etienne Pallier % Done: 12%
Category: Estimated time: 340.00 hours
Target version: Spent time: 0.00 hour
Description

Builds requests

Subtasks:
Evolution # 4227: * (F) Execute a (planned) sequence Nouveau
  Evolution # 3662: ObservationManager : implement plan execution Fermé
  Evolution # 4017: Handle timeouts Nouveau
  Evolution # 4490: (FT) Tests Nouveau
Evolution # 4228: * (F) Stop (abort) current sequence execution Nouveau
Evolution # 4229: * (F) Save images (with header) Nouveau
Evolution # 4230: * (F) Observer VIEW : Display current PLAN execution, current devices... Nouveau
Evolution # 4296: MODULE Tests Suite Nouveau
  Evolution # 3675: Test with the real ASTELCO telescope Nouveau
Evolution # 4419: Handle primary devices errors Nouveau
Evolution # 4420: Handle secondary devices errors Nouveau
Evolution # 4515: Refactoriser tasks.execute_plan{vis,nir} Nouveau
Evolution # 4516: Gérer le Dithering : au début, c'est la camera NIR qui devait le gére... Nouveau
Evolution # 4558: * (F) Devices Management Nouveau
  Evolution # 4236: * (F) Devices GRAMMAR Nouveau
  Evolution # 4237: * (F) Devices CDE/CTRL Nouveau
  Evolution # 4235: * (F) Devices SIMULATORS (Telescope, Cameras, PLC, ...) Nouveau
    Evolution # 4491: (FT) Tests Nouveau
    Evolution # 4556: Simulateur de Source de lumière : (Champ de la source) Nouveau
    Evolution # 4557: Ephemeris simulator Nouveau
    Evolution # 4567: Telescope simulation Nouveau
      Evolution # 4006: 10 - Pyros simple Telescope simulator Nouveau
      Evolution # 3670: 30 - Simulation with IRIS telescope (LAM) Nouveau
      Evolution # 3672: 40 - Simulation with the very ASTELCO simulator Nouveau
      Evolution # 4568: 20 - Simulation with our own very small IRAP telescope Nouveau
    Evolution # 4569: NIR (CAGIRE) simulation Nouveau
      Evolution # 3683: 20 - NIR cam simple simulator v1 (should be given by the CAGIRE team) Nouveau
      Evolution # 4570: 30 - NIR cam simple simulator v2 (should be given by the CAGIRE team) Nouveau
      Evolution # 4571: 10 - Pyros simple NIR simulator Nouveau
    Evolution # 4572: VIS simulation Nouveau
      Evolution # 4573: 20 - VIS cam simple simulator v1 (should be given by the UNAM VIS team) Nouveau
      Evolution # 4574: 30 - VIS simple simulator v2 (should be given by the UNAM VIS team) Nouveau
      Evolution # 4576: 10 - Pyros simple NIR simulator Nouveau
    Evolution # 3685: Pyros simple Pyros simulator (to be given to the CAGIRE and the UNAM ... Nouveau

History
#1 - 09/12/2016 05:47 pm - Etienne Pallier
- Parent task set to #4093

#2 - 09/13/2016 11:30 am - Etienne Pallier
- Subject changed from ******* (M) 9.1.25 - Request Builder ******* to ******* (M) 9.1.30 - MONIT - Monitoring (weather, site, instruments) *******

#3 - 09/13/2016 11:50 am - Etienne Pallier
- Subject changed from ******* (M) 9.1.30 - MONIT - Monitoring (weather, site, instruments) ******* to ******* (M) 9.1.30 - MONITOR - Monitoring 
(weather, site, instruments) *******

#4 - 09/13/2016 03:03 pm - Etienne Pallier
- Subject changed from ******* (M) 9.1.30 - MONITOR - Monitoring (weather, site, instruments) ******* to ******* (M) 9.1.40 - PLAN - Scheduler *******

#5 - 09/13/2016 03:06 pm - Etienne Pallier
- Subject changed from ******* (M) 9.1.40 - PLAN - Scheduler ******* to ******* (M) 9.1.60 - OBSERVER (EYES) - Observation Manager, Imager *******

#6 - 09/13/2016 03:16 pm - Etienne Pallier
- Subject changed from ******* (M) 9.1.60 - OBSERVER (EYES) - Observation Manager, Imager ******* to ******* (M) 09.1.60 - OBSERVER (EYES) - 
Observation Manager, Imager *******

#7 - 09/13/2016 03:49 pm - Etienne Pallier
- Target version set to 140

#8 - 09/14/2016 11:14 am - Etienne Pallier
- Subject changed from ******* (M) 09.1.60 - OBSERVER (EYES) - Observation Manager, Imager ******* to ******* (M) 09.1.40 - OBSERVER (EXEC, 
EYES) - Observation Manager, Imager *******

#9 - 09/23/2016 04:00 pm - Etienne Pallier
- Target version deleted (140)
